pragma Warnings (Off);
pragma Ada_95;
with System;
with System.Parameters;
with System.Secondary_Stack;
package ada_main is

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 12.0.1 20220413 (Red Hat 12.0.1-0)" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   GNAT_Version_Address : constant System.Address := GNAT_Version'Address;
   pragma Export (C, GNAT_Version_Address, "__gnat_version_address");

   Ada_Main_Program_Name : constant String := "_ada_templates2ada" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#6e8fc7d3#;
   pragma Export (C, u00001, "templates2adaB");
   u00002 : constant Version_32 := 16#7320ff5f#;
   pragma Export (C, u00002, "system__standard_libraryB");
   u00003 : constant Version_32 := 16#4121610e#;
   pragma Export (C, u00003, "system__standard_libraryS");
   u00004 : constant Version_32 := 16#76789da1#;
   pragma Export (C, u00004, "adaS");
   u00005 : constant Version_32 := 16#5b4659fa#;
   pragma Export (C, u00005, "ada__charactersS");
   u00006 : constant Version_32 := 16#a5e53111#;
   pragma Export (C, u00006, "ada__characters__handlingB");
   u00007 : constant Version_32 := 16#763c2a94#;
   pragma Export (C, u00007, "ada__characters__handlingS");
   u00008 : constant Version_32 := 16#cde9ea2d#;
   pragma Export (C, u00008, "ada__characters__latin_1S");
   u00009 : constant Version_32 := 16#e6d4fa36#;
   pragma Export (C, u00009, "ada__stringsS");
   u00010 : constant Version_32 := 16#532fc697#;
   pragma Export (C, u00010, "systemS");
   u00011 : constant Version_32 := 16#c71e6c8a#;
   pragma Export (C, u00011, "system__exception_tableB");
   u00012 : constant Version_32 := 16#de04b08e#;
   pragma Export (C, u00012, "system__exception_tableS");
   u00013 : constant Version_32 := 16#fd5f5f4c#;
   pragma Export (C, u00013, "system__soft_linksB");
   u00014 : constant Version_32 := 16#1bfdbb83#;
   pragma Export (C, u00014, "system__soft_linksS");
   u00015 : constant Version_32 := 16#e12f1eb0#;
   pragma Export (C, u00015, "system__secondary_stackB");
   u00016 : constant Version_32 := 16#88f8efc7#;
   pragma Export (C, u00016, "system__secondary_stackS");
   u00017 : constant Version_32 := 16#8a7f5903#;
   pragma Export (C, u00017, "ada__exceptionsB");
   u00018 : constant Version_32 := 16#0f374d9a#;
   pragma Export (C, u00018, "ada__exceptionsS");
   u00019 : constant Version_32 := 16#0740df23#;
   pragma Export (C, u00019, "ada__exceptions__last_chance_handlerB");
   u00020 : constant Version_32 := 16#6dc27684#;
   pragma Export (C, u00020, "ada__exceptions__last_chance_handlerS");
   u00021 : constant Version_32 := 16#618a79a5#;
   pragma Export (C, u00021, "system__exceptionsS");
   u00022 : constant Version_32 := 16#69416224#;
   pragma Export (C, u00022, "system__exceptions__machineB");
   u00023 : constant Version_32 := 16#8bdfdbe3#;
   pragma Export (C, u00023, "system__exceptions__machineS");
   u00024 : constant Version_32 := 16#7706238d#;
   pragma Export (C, u00024, "system__exceptions_debugB");
   u00025 : constant Version_32 := 16#63219ec4#;
   pragma Export (C, u00025, "system__exceptions_debugS");
   u00026 : constant Version_32 := 16#e3a6b5dc#;
   pragma Export (C, u00026, "system__img_intS");
   u00027 : constant Version_32 := 16#ec4fa52d#;
   pragma Export (C, u00027, "system__storage_elementsB");
   u00028 : constant Version_32 := 16#3ea1d963#;
   pragma Export (C, u00028, "system__storage_elementsS");
   u00029 : constant Version_32 := 16#5c7d9c20#;
   pragma Export (C, u00029, "system__tracebackB");
   u00030 : constant Version_32 := 16#d5b5322a#;
   pragma Export (C, u00030, "system__tracebackS");
   u00031 : constant Version_32 := 16#5f6b6486#;
   pragma Export (C, u00031, "system__traceback_entriesB");
   u00032 : constant Version_32 := 16#9b33791b#;
   pragma Export (C, u00032, "system__traceback_entriesS");
   u00033 : constant Version_32 := 16#30816fbc#;
   pragma Export (C, u00033, "system__traceback__symbolicB");
   u00034 : constant Version_32 := 16#d9e66ad1#;
   pragma Export (C, u00034, "system__traceback__symbolicS");
   u00035 : constant Version_32 := 16#179d7d28#;
   pragma Export (C, u00035, "ada__containersS");
   u00036 : constant Version_32 := 16#701f9d88#;
   pragma Export (C, u00036, "ada__exceptions__tracebackB");
   u00037 : constant Version_32 := 16#eb07882c#;
   pragma Export (C, u00037, "ada__exceptions__tracebackS");
   u00038 : constant Version_32 := 16#a828b371#;
   pragma Export (C, u00038, "system__bounded_stringsB");
   u00039 : constant Version_32 := 16#24d2e78e#;
   pragma Export (C, u00039, "system__bounded_stringsS");
   u00040 : constant Version_32 := 16#0dbdf0c9#;
   pragma Export (C, u00040, "system__crtlS");
   u00041 : constant Version_32 := 16#821dff88#;
   pragma Export (C, u00041, "system__parametersB");
   u00042 : constant Version_32 := 16#87bb6231#;
   pragma Export (C, u00042, "system__parametersS");
   u00043 : constant Version_32 := 16#173d8a0c#;
   pragma Export (C, u00043, "system__dwarf_linesB");
   u00044 : constant Version_32 := 16#b489f381#;
   pragma Export (C, u00044, "system__dwarf_linesS");
   u00045 : constant Version_32 := 16#edec285f#;
   pragma Export (C, u00045, "interfacesS");
   u00046 : constant Version_32 := 16#a0d3d22b#;
   pragma Export (C, u00046, "system__address_imageB");
   u00047 : constant Version_32 := 16#f2c35bad#;
   pragma Export (C, u00047, "system__address_imageS");
   u00048 : constant Version_32 := 16#f5142ba4#;
   pragma Export (C, u00048, "system__img_unsS");
   u00049 : constant Version_32 := 16#a905b9ce#;
   pragma Export (C, u00049, "system__unsigned_typesS");
   u00050 : constant Version_32 := 16#20ec7aa3#;
   pragma Export (C, u00050, "system__ioB");
   u00051 : constant Version_32 := 16#cd6d31d8#;
   pragma Export (C, u00051, "system__ioS");
   u00052 : constant Version_32 := 16#754b4bb8#;
   pragma Export (C, u00052, "system__mmapB");
   u00053 : constant Version_32 := 16#15da1106#;
   pragma Export (C, u00053, "system__mmapS");
   u00054 : constant Version_32 := 16#367911c4#;
   pragma Export (C, u00054, "ada__io_exceptionsS");
   u00055 : constant Version_32 := 16#dd82c35a#;
   pragma Export (C, u00055, "system__mmap__os_interfaceB");
   u00056 : constant Version_32 := 16#37fd3b64#;
   pragma Export (C, u00056, "system__mmap__os_interfaceS");
   u00057 : constant Version_32 := 16#40e7f3aa#;
   pragma Export (C, u00057, "system__mmap__unixS");
   u00058 : constant Version_32 := 16#7f1e3740#;
   pragma Export (C, u00058, "interfaces__cB");
   u00059 : constant Version_32 := 16#1bfc3385#;
   pragma Export (C, u00059, "interfaces__cS");
   u00060 : constant Version_32 := 16#3d77d417#;
   pragma Export (C, u00060, "system__os_libB");
   u00061 : constant Version_32 := 16#a94316c8#;
   pragma Export (C, u00061, "system__os_libS");
   u00062 : constant Version_32 := 16#6e5d049a#;
   pragma Export (C, u00062, "system__atomic_operations__test_and_setB");
   u00063 : constant Version_32 := 16#57acee8e#;
   pragma Export (C, u00063, "system__atomic_operations__test_and_setS");
   u00064 : constant Version_32 := 16#944cbcb2#;
   pragma Export (C, u00064, "system__atomic_operationsS");
   u00065 : constant Version_32 := 16#29cc6115#;
   pragma Export (C, u00065, "system__atomic_primitivesB");
   u00066 : constant Version_32 := 16#6ab85ddd#;
   pragma Export (C, u00066, "system__atomic_primitivesS");
   u00067 : constant Version_32 := 16#b98923bf#;
   pragma Export (C, u00067, "system__case_utilB");
   u00068 : constant Version_32 := 16#9c3c11c2#;
   pragma Export (C, u00068, "system__case_utilS");
   u00069 : constant Version_32 := 16#256dbbe5#;
   pragma Export (C, u00069, "system__stringsB");
   u00070 : constant Version_32 := 16#c8adc68f#;
   pragma Export (C, u00070, "system__stringsS");
   u00071 : constant Version_32 := 16#51051765#;
   pragma Export (C, u00071, "system__object_readerB");
   u00072 : constant Version_32 := 16#bcad6301#;
   pragma Export (C, u00072, "system__object_readerS");
   u00073 : constant Version_32 := 16#9e1477a3#;
   pragma Export (C, u00073, "system__val_lliS");
   u00074 : constant Version_32 := 16#8844db77#;
   pragma Export (C, u00074, "system__val_lluS");
   u00075 : constant Version_32 := 16#273bd629#;
   pragma Export (C, u00075, "system__val_utilB");
   u00076 : constant Version_32 := 16#d1315031#;
   pragma Export (C, u00076, "system__val_utilS");
   u00077 : constant Version_32 := 16#bad10b33#;
   pragma Export (C, u00077, "system__exception_tracesB");
   u00078 : constant Version_32 := 16#bfb7aff1#;
   pragma Export (C, u00078, "system__exception_tracesS");
   u00079 : constant Version_32 := 16#fd158a37#;
   pragma Export (C, u00079, "system__wch_conB");
   u00080 : constant Version_32 := 16#8a2ce5f4#;
   pragma Export (C, u00080, "system__wch_conS");
   u00081 : constant Version_32 := 16#5c289972#;
   pragma Export (C, u00081, "system__wch_stwB");
   u00082 : constant Version_32 := 16#a73dc9f5#;
   pragma Export (C, u00082, "system__wch_stwS");
   u00083 : constant Version_32 := 16#002bec7b#;
   pragma Export (C, u00083, "system__wch_cnvB");
   u00084 : constant Version_32 := 16#8cec2f84#;
   pragma Export (C, u00084, "system__wch_cnvS");
   u00085 : constant Version_32 := 16#e538de43#;
   pragma Export (C, u00085, "system__wch_jisB");
   u00086 : constant Version_32 := 16#395b4dae#;
   pragma Export (C, u00086, "system__wch_jisS");
   u00087 : constant Version_32 := 16#37c92568#;
   pragma Export (C, u00087, "system__soft_links__initializeB");
   u00088 : constant Version_32 := 16#2ed17187#;
   pragma Export (C, u00088, "system__soft_links__initializeS");
   u00089 : constant Version_32 := 16#8599b27b#;
   pragma Export (C, u00089, "system__stack_checkingB");
   u00090 : constant Version_32 := 16#3520189d#;
   pragma Export (C, u00090, "system__stack_checkingS");
   u00091 : constant Version_32 := 16#6424b9ce#;
   pragma Export (C, u00091, "ada__strings__mapsB");
   u00092 : constant Version_32 := 16#5349602c#;
   pragma Export (C, u00092, "ada__strings__mapsS");
   u00093 : constant Version_32 := 16#96b40646#;
   pragma Export (C, u00093, "system__bit_opsB");
   u00094 : constant Version_32 := 16#9edc6aab#;
   pragma Export (C, u00094, "system__bit_opsS");
   u00095 : constant Version_32 := 16#88fa2db0#;
   pragma Export (C, u00095, "ada__strings__maps__constantsS");
   u00096 : constant Version_32 := 16#5ad396e5#;
   pragma Export (C, u00096, "ada__command_lineB");
   u00097 : constant Version_32 := 16#3cdef8c9#;
   pragma Export (C, u00097, "ada__command_lineS");
   u00098 : constant Version_32 := 16#de53e0a3#;
   pragma Export (C, u00098, "ada__containers__helpersB");
   u00099 : constant Version_32 := 16#229b07a5#;
   pragma Export (C, u00099, "ada__containers__helpersS");
   u00100 : constant Version_32 := 16#86c56e5a#;
   pragma Export (C, u00100, "ada__finalizationS");
   u00101 : constant Version_32 := 16#b4f41810#;
   pragma Export (C, u00101, "ada__streamsB");
   u00102 : constant Version_32 := 16#67e31212#;
   pragma Export (C, u00102, "ada__streamsS");
   u00103 : constant Version_32 := 16#a94883d4#;
   pragma Export (C, u00103, "ada__strings__text_buffersB");
   u00104 : constant Version_32 := 16#bb49bb93#;
   pragma Export (C, u00104, "ada__strings__text_buffersS");
   u00105 : constant Version_32 := 16#7e7d940a#;
   pragma Export (C, u00105, "ada__strings__utf_encodingB");
   u00106 : constant Version_32 := 16#84aa91b0#;
   pragma Export (C, u00106, "ada__strings__utf_encodingS");
   u00107 : constant Version_32 := 16#d1d1ed0b#;
   pragma Export (C, u00107, "ada__strings__utf_encoding__wide_stringsB");
   u00108 : constant Version_32 := 16#a373d741#;
   pragma Export (C, u00108, "ada__strings__utf_encoding__wide_stringsS");
   u00109 : constant Version_32 := 16#c2b98963#;
   pragma Export (C, u00109, "ada__strings__utf_encoding__wide_wide_stringsB");
   u00110 : constant Version_32 := 16#22a4a396#;
   pragma Export (C, u00110, "ada__strings__utf_encoding__wide_wide_stringsS");
   u00111 : constant Version_32 := 16#c3fbe91b#;
   pragma Export (C, u00111, "ada__tagsB");
   u00112 : constant Version_32 := 16#8bc79dfc#;
   pragma Export (C, u00112, "ada__tagsS");
   u00113 : constant Version_32 := 16#3548d972#;
   pragma Export (C, u00113, "system__htableB");
   u00114 : constant Version_32 := 16#d2f69e7c#;
   pragma Export (C, u00114, "system__htableS");
   u00115 : constant Version_32 := 16#1f1abe38#;
   pragma Export (C, u00115, "system__string_hashB");
   u00116 : constant Version_32 := 16#75b31e03#;
   pragma Export (C, u00116, "system__string_hashS");
   u00117 : constant Version_32 := 16#5fc04ee2#;
   pragma Export (C, u00117, "system__put_imagesB");
   u00118 : constant Version_32 := 16#ff2c7d2b#;
   pragma Export (C, u00118, "system__put_imagesS");
   u00119 : constant Version_32 := 16#22b9eb9f#;
   pragma Export (C, u00119, "ada__strings__text_buffers__utilsB");
   u00120 : constant Version_32 := 16#608bd105#;
   pragma Export (C, u00120, "ada__strings__text_buffers__utilsS");
   u00121 : constant Version_32 := 16#95817ed8#;
   pragma Export (C, u00121, "system__finalization_rootB");
   u00122 : constant Version_32 := 16#1cddb507#;
   pragma Export (C, u00122, "system__finalization_rootS");
   u00123 : constant Version_32 := 16#a8ed4e2b#;
   pragma Export (C, u00123, "system__atomic_countersB");
   u00124 : constant Version_32 := 16#8f372954#;
   pragma Export (C, u00124, "system__atomic_countersS");
   u00125 : constant Version_32 := 16#921d03a9#;
   pragma Export (C, u00125, "ada__containers__red_black_treesS");
   u00126 : constant Version_32 := 16#fb575acb#;
   pragma Export (C, u00126, "ada__containers__stable_sortingB");
   u00127 : constant Version_32 := 16#f29ff792#;
   pragma Export (C, u00127, "ada__containers__stable_sortingS");
   u00128 : constant Version_32 := 16#2b371731#;
   pragma Export (C, u00128, "ada__directoriesB");
   u00129 : constant Version_32 := 16#62239e2c#;
   pragma Export (C, u00129, "ada__directoriesS");
   u00130 : constant Version_32 := 16#49218ed0#;
   pragma Export (C, u00130, "ada__calendarB");
   u00131 : constant Version_32 := 16#8324cd02#;
   pragma Export (C, u00131, "ada__calendarS");
   u00132 : constant Version_32 := 16#307180be#;
   pragma Export (C, u00132, "system__os_primitivesB");
   u00133 : constant Version_32 := 16#54d2a361#;
   pragma Export (C, u00133, "system__os_primitivesS");
   u00134 : constant Version_32 := 16#031b5a56#;
   pragma Export (C, u00134, "ada__directories__hierarchical_file_namesB");
   u00135 : constant Version_32 := 16#34d5eeb2#;
   pragma Export (C, u00135, "ada__directories__hierarchical_file_namesS");
   u00136 : constant Version_32 := 16#ab4ad33a#;
   pragma Export (C, u00136, "ada__directories__validityB");
   u00137 : constant Version_32 := 16#0877bcae#;
   pragma Export (C, u00137, "ada__directories__validityS");
   u00138 : constant Version_32 := 16#091deb62#;
   pragma Export (C, u00138, "ada__strings__fixedB");
   u00139 : constant Version_32 := 16#780cfb01#;
   pragma Export (C, u00139, "ada__strings__fixedS");
   u00140 : constant Version_32 := 16#ab8364ce#;
   pragma Export (C, u00140, "ada__strings__searchB");
   u00141 : constant Version_32 := 16#dcefc5ee#;
   pragma Export (C, u00141, "ada__strings__searchS");
   u00142 : constant Version_32 := 16#cf7bfc56#;
   pragma Export (C, u00142, "ada__strings__unboundedB");
   u00143 : constant Version_32 := 16#90de6517#;
   pragma Export (C, u00143, "ada__strings__unboundedS");
   u00144 : constant Version_32 := 16#190570e0#;
   pragma Export (C, u00144, "system__compare_array_unsigned_8B");
   u00145 : constant Version_32 := 16#c3c958f4#;
   pragma Export (C, u00145, "system__compare_array_unsigned_8S");
   u00146 : constant Version_32 := 16#74e358eb#;
   pragma Export (C, u00146, "system__address_operationsB");
   u00147 : constant Version_32 := 16#2d1bea37#;
   pragma Export (C, u00147, "system__address_operationsS");
   u00148 : constant Version_32 := 16#d50f3cfb#;
   pragma Export (C, u00148, "system__stream_attributesB");
   u00149 : constant Version_32 := 16#4f41e1fb#;
   pragma Export (C, u00149, "system__stream_attributesS");
   u00150 : constant Version_32 := 16#d998b4f3#;
   pragma Export (C, u00150, "system__stream_attributes__xdrB");
   u00151 : constant Version_32 := 16#42985e70#;
   pragma Export (C, u00151, "system__stream_attributes__xdrS");
   u00152 : constant Version_32 := 16#901d19fb#;
   pragma Export (C, u00152, "system__fat_fltS");
   u00153 : constant Version_32 := 16#b62f10f6#;
   pragma Export (C, u00153, "system__fat_lfltS");
   u00154 : constant Version_32 := 16#ccffbe1c#;
   pragma Export (C, u00154, "system__fat_llfS");
   u00155 : constant Version_32 := 16#92cd645c#;
   pragma Export (C, u00155, "system__file_attributesS");
   u00156 : constant Version_32 := 16#a949e04f#;
   pragma Export (C, u00156, "system__os_constantsS");
   u00157 : constant Version_32 := 16#1aa716c1#;
   pragma Export (C, u00157, "system__file_ioB");
   u00158 : constant Version_32 := 16#2f8d03c2#;
   pragma Export (C, u00158, "system__file_ioS");
   u00159 : constant Version_32 := 16#73d2d764#;
   pragma Export (C, u00159, "interfaces__c_streamsB");
   u00160 : constant Version_32 := 16#82d73129#;
   pragma Export (C, u00160, "interfaces__c_streamsS");
   u00161 : constant Version_32 := 16#f1de3186#;
   pragma Export (C, u00161, "system__file_control_blockS");
   u00162 : constant Version_32 := 16#ee52fa88#;
   pragma Export (C, u00162, "system__finalization_mastersB");
   u00163 : constant Version_32 := 16#d57cf3e4#;
   pragma Export (C, u00163, "system__finalization_mastersS");
   u00164 : constant Version_32 := 16#35d6ef80#;
   pragma Export (C, u00164, "system__storage_poolsB");
   u00165 : constant Version_32 := 16#681474d0#;
   pragma Export (C, u00165, "system__storage_poolsS");
   u00166 : constant Version_32 := 16#8f8e85c2#;
   pragma Export (C, u00166, "system__regexpB");
   u00167 : constant Version_32 := 16#701d615b#;
   pragma Export (C, u00167, "system__regexpS");
   u00168 : constant Version_32 := 16#21526cb9#;
   pragma Export (C, u00168, "ada__streams__stream_ioB");
   u00169 : constant Version_32 := 16#5b183aea#;
   pragma Export (C, u00169, "ada__streams__stream_ioS");
   u00170 : constant Version_32 := 16#5de653db#;
   pragma Export (C, u00170, "system__communicationB");
   u00171 : constant Version_32 := 16#cef2dacc#;
   pragma Export (C, u00171, "system__communicationS");
   u00172 : constant Version_32 := 16#e56aa583#;
   pragma Export (C, u00172, "ada__text_ioB");
   u00173 : constant Version_32 := 16#af32b3dd#;
   pragma Export (C, u00173, "ada__text_ioS");
   u00174 : constant Version_32 := 16#b5988c27#;
   pragma Export (C, u00174, "gnatS");
   u00175 : constant Version_32 := 16#f5ab972f#;
   pragma Export (C, u00175, "gnat__command_lineB");
   u00176 : constant Version_32 := 16#556a5ffb#;
   pragma Export (C, u00176, "gnat__command_lineS");
   u00177 : constant Version_32 := 16#6dde1ae2#;
   pragma Export (C, u00177, "gnat__directory_operationsB");
   u00178 : constant Version_32 := 16#51892745#;
   pragma Export (C, u00178, "gnat__directory_operationsS");
   u00179 : constant Version_32 := 16#1a69b526#;
   pragma Export (C, u00179, "gnat__os_libS");
   u00180 : constant Version_32 := 16#7c78c3c5#;
   pragma Export (C, u00180, "system__pool_globalB");
   u00181 : constant Version_32 := 16#462b799a#;
   pragma Export (C, u00181, "system__pool_globalS");
   u00182 : constant Version_32 := 16#1982dcd0#;
   pragma Export (C, u00182, "system__memoryB");
   u00183 : constant Version_32 := 16#08abf447#;
   pragma Export (C, u00183, "system__memoryS");
   u00184 : constant Version_32 := 16#7240794d#;
   pragma Export (C, u00184, "system__storage_pools__subpoolsB");
   u00185 : constant Version_32 := 16#6402a21c#;
   pragma Export (C, u00185, "system__storage_pools__subpoolsS");
   u00186 : constant Version_32 := 16#b0df1928#;
   pragma Export (C, u00186, "system__storage_pools__subpools__finalizationB");
   u00187 : constant Version_32 := 16#562129f7#;
   pragma Export (C, u00187, "system__storage_pools__subpools__finalizationS");
   u00188 : constant Version_32 := 16#b1ecc9ee#;
   pragma Export (C, u00188, "system__val_intS");
   u00189 : constant Version_32 := 16#aa8b099d#;
   pragma Export (C, u00189, "system__val_unsS");
   u00190 : constant Version_32 := 16#40fe4806#;
   pragma Export (C, u00190, "gnat__regexpS");
   u00191 : constant Version_32 := 16#2b19e51a#;
   pragma Export (C, u00191, "gnat__stringsS");
   u00192 : constant Version_32 := 16#b2c2bc04#;
   pragma Export (C, u00192, "system__strings__stream_opsB");
   u00193 : constant Version_32 := 16#e156e746#;
   pragma Export (C, u00193, "system__strings__stream_opsS");
   u00194 : constant Version_32 := 16#6cf78b78#;
   pragma Export (C, u00194, "templates_parserB");
   u00195 : constant Version_32 := 16#6ae3b23d#;
   pragma Export (C, u00195, "templates_parserS");
   u00196 : constant Version_32 := 16#ff6bebee#;
   pragma Export (C, u00196, "ada__containers__hash_tablesS");
   u00197 : constant Version_32 := 16#eab0e571#;
   pragma Export (C, u00197, "ada__containers__prime_numbersB");
   u00198 : constant Version_32 := 16#45c4b2d1#;
   pragma Export (C, u00198, "ada__containers__prime_numbersS");
   u00199 : constant Version_32 := 16#52aa515b#;
   pragma Export (C, u00199, "ada__strings__hashB");
   u00200 : constant Version_32 := 16#1121e1f9#;
   pragma Export (C, u00200, "ada__strings__hashS");
   u00201 : constant Version_32 := 16#433da570#;
   pragma Export (C, u00201, "ada__strings__hash_case_insensitiveB");
   u00202 : constant Version_32 := 16#f9e6d5c1#;
   pragma Export (C, u00202, "ada__strings__hash_case_insensitiveS");
   u00203 : constant Version_32 := 16#aed03438#;
   pragma Export (C, u00203, "gnat__calendarB");
   u00204 : constant Version_32 := 16#52835b2d#;
   pragma Export (C, u00204, "gnat__calendarS");
   u00205 : constant Version_32 := 16#cfb69973#;
   pragma Export (C, u00205, "interfaces__c__extensionsS");
   u00206 : constant Version_32 := 16#2bf67233#;
   pragma Export (C, u00206, "ada__calendar__formattingB");
   u00207 : constant Version_32 := 16#10be3024#;
   pragma Export (C, u00207, "ada__calendar__formattingS");
   u00208 : constant Version_32 := 16#974d849e#;
   pragma Export (C, u00208, "ada__calendar__time_zonesB");
   u00209 : constant Version_32 := 16#1ff937f5#;
   pragma Export (C, u00209, "ada__calendar__time_zonesS");
   u00210 : constant Version_32 := 16#45a189a4#;
   pragma Export (C, u00210, "system__val_fixed_64S");
   u00211 : constant Version_32 := 16#92ebd951#;
   pragma Export (C, u00211, "system__arith_64B");
   u00212 : constant Version_32 := 16#7f90f956#;
   pragma Export (C, u00212, "system__arith_64S");
   u00213 : constant Version_32 := 16#f2c63a02#;
   pragma Export (C, u00213, "ada__numericsS");
   u00214 : constant Version_32 := 16#174f5472#;
   pragma Export (C, u00214, "ada__numerics__big_numbersS");
   u00215 : constant Version_32 := 16#5f7c922a#;
   pragma Export (C, u00215, "gnat__calendar__time_ioB");
   u00216 : constant Version_32 := 16#4f726d8e#;
   pragma Export (C, u00216, "gnat__calendar__time_ioS");
   u00217 : constant Version_32 := 16#f94e6456#;
   pragma Export (C, u00217, "gnat__case_utilS");
   u00218 : constant Version_32 := 16#693399cf#;
   pragma Export (C, u00218, "system__img_lliS");
   u00219 : constant Version_32 := 16#1b7c3398#;
   pragma Export (C, u00219, "system__img_lluS");
   u00220 : constant Version_32 := 16#d44514d5#;
   pragma Export (C, u00220, "gnat__regpatS");
   u00221 : constant Version_32 := 16#d83039a6#;
   pragma Export (C, u00221, "system__regpatB");
   u00222 : constant Version_32 := 16#8aafd68a#;
   pragma Export (C, u00222, "system__regpatS");
   u00223 : constant Version_32 := 16#7c5a5793#;
   pragma Export (C, u00223, "system__img_charB");
   u00224 : constant Version_32 := 16#cf1b9e70#;
   pragma Export (C, u00224, "system__img_charS");
   u00225 : constant Version_32 := 16#7970d26c#;
   pragma Export (C, u00225, "templates_parser__configurationS");
   u00226 : constant Version_32 := 16#c8048d01#;
   pragma Export (C, u00226, "templates_parser__inputB");
   u00227 : constant Version_32 := 16#ac420fa0#;
   pragma Export (C, u00227, "templates_parser__inputS");
   u00228 : constant Version_32 := 16#15f88a40#;
   pragma Export (C, u00228, "templates_parser__utilsB");
   u00229 : constant Version_32 := 16#0dfdb513#;
   pragma Export (C, u00229, "templates_parser__utilsS");
   u00230 : constant Version_32 := 16#d9829a63#;
   pragma Export (C, u00230, "ada__environment_variablesB");
   u00231 : constant Version_32 := 16#767099b7#;
   pragma Export (C, u00231, "ada__environment_variablesS");
   u00232 : constant Version_32 := 16#3ca19108#;
   pragma Export (C, u00232, "interfaces__c__stringsB");
   u00233 : constant Version_32 := 16#1699b2a3#;
   pragma Export (C, u00233, "interfaces__c__stringsS");
   u00234 : constant Version_32 := 16#eef192d2#;
   pragma Export (C, u00234, "templates_parser_taskingB");
   u00235 : constant Version_32 := 16#4c0209f0#;
   pragma Export (C, u00235, "templates_parser_taskingS");
   u00236 : constant Version_32 := 16#8563db54#;
   pragma Export (C, u00236, "ada__task_identificationB");
   u00237 : constant Version_32 := 16#eb3738e5#;
   pragma Export (C, u00237, "ada__task_identificationS");
   u00238 : constant Version_32 := 16#f9126030#;
   pragma Export (C, u00238, "system__task_primitivesS");
   u00239 : constant Version_32 := 16#fa54cc8b#;
   pragma Export (C, u00239, "system__os_interfaceB");
   u00240 : constant Version_32 := 16#77a2faec#;
   pragma Export (C, u00240, "system__os_interfaceS");
   u00241 : constant Version_32 := 16#91bad7c1#;
   pragma Export (C, u00241, "system__linuxS");
   u00242 : constant Version_32 := 16#01371301#;
   pragma Export (C, u00242, "system__task_primitives__operationsB");
   u00243 : constant Version_32 := 16#1e811718#;
   pragma Export (C, u00243, "system__task_primitives__operationsS");
   u00244 : constant Version_32 := 16#9ebeb40e#;
   pragma Export (C, u00244, "system__interrupt_managementB");
   u00245 : constant Version_32 := 16#3f40f81f#;
   pragma Export (C, u00245, "system__interrupt_managementS");
   u00246 : constant Version_32 := 16#80f03b28#;
   pragma Export (C, u00246, "system__multiprocessorsB");
   u00247 : constant Version_32 := 16#6b8359e4#;
   pragma Export (C, u00247, "system__multiprocessorsS");
   u00248 : constant Version_32 := 16#4ee862d1#;
   pragma Export (C, u00248, "system__task_infoB");
   u00249 : constant Version_32 := 16#e5572fa3#;
   pragma Export (C, u00249, "system__task_infoS");
   u00250 : constant Version_32 := 16#94c1ed28#;
   pragma Export (C, u00250, "system__taskingB");
   u00251 : constant Version_32 := 16#0de3e279#;
   pragma Export (C, u00251, "system__taskingS");
   u00252 : constant Version_32 := 16#c88c8d8c#;
   pragma Export (C, u00252, "system__stack_usageB");
   u00253 : constant Version_32 := 16#c49c7691#;
   pragma Export (C, u00253, "system__stack_usageS");
   u00254 : constant Version_32 := 16#9bb133e2#;
   pragma Export (C, u00254, "system__tasking__debugB");
   u00255 : constant Version_32 := 16#4bb799fc#;
   pragma Export (C, u00255, "system__tasking__debugS");
   u00256 : constant Version_32 := 16#4aa988d0#;
   pragma Export (C, u00256, "system__concat_2B");
   u00257 : constant Version_32 := 16#6e69c395#;
   pragma Export (C, u00257, "system__concat_2S");
   u00258 : constant Version_32 := 16#f3aa0da6#;
   pragma Export (C, u00258, "system__concat_3B");
   u00259 : constant Version_32 := 16#c3572ef7#;
   pragma Export (C, u00259, "system__concat_3S");
   u00260 : constant Version_32 := 16#0044c253#;
   pragma Export (C, u00260, "system__tasking__utilitiesB");
   u00261 : constant Version_32 := 16#02b4e0a4#;
   pragma Export (C, u00261, "system__tasking__utilitiesS");
   u00262 : constant Version_32 := 16#88cf4dfe#;
   pragma Export (C, u00262, "system__tasking__initializationB");
   u00263 : constant Version_32 := 16#4b32ba0f#;
   pragma Export (C, u00263, "system__tasking__initializationS");
   u00264 : constant Version_32 := 16#0ecc89a1#;
   pragma Export (C, u00264, "system__soft_links__taskingB");
   u00265 : constant Version_32 := 16#917fc4d2#;
   pragma Export (C, u00265, "system__soft_links__taskingS");
   u00266 : constant Version_32 := 16#3880736e#;
   pragma Export (C, u00266, "ada__exceptions__is_null_occurrenceB");
   u00267 : constant Version_32 := 16#e2b3c9ca#;
   pragma Export (C, u00267, "ada__exceptions__is_null_occurrenceS");
   u00268 : constant Version_32 := 16#d5634deb#;
   pragma Export (C, u00268, "system__tasking__task_attributesB");
   u00269 : constant Version_32 := 16#fb86dea5#;
   pragma Export (C, u00269, "system__tasking__task_attributesS");
   u00270 : constant Version_32 := 16#91c1d62b#;
   pragma Export (C, u00270, "system__tasking__queuingB");
   u00271 : constant Version_32 := 16#f5dd32a7#;
   pragma Export (C, u00271, "system__tasking__queuingS");
   u00272 : constant Version_32 := 16#179e4233#;
   pragma Export (C, u00272, "system__tasking__protected_objectsB");
   u00273 : constant Version_32 := 16#a211a246#;
   pragma Export (C, u00273, "system__tasking__protected_objectsS");
   u00274 : constant Version_32 := 16#472ea76a#;
   pragma Export (C, u00274, "system__tasking__protected_objects__entriesB");
   u00275 : constant Version_32 := 16#7daf93e7#;
   pragma Export (C, u00275, "system__tasking__protected_objects__entriesS");
   u00276 : constant Version_32 := 16#49c205ec#;
   pragma Export (C, u00276, "system__restrictionsB");
   u00277 : constant Version_32 := 16#d60fbad0#;
   pragma Export (C, u00277, "system__restrictionsS");
   u00278 : constant Version_32 := 16#95ec39a0#;
   pragma Export (C, u00278, "system__tasking__protected_objects__operationsB");
   u00279 : constant Version_32 := 16#b9523220#;
   pragma Export (C, u00279, "system__tasking__protected_objects__operationsS");
   u00280 : constant Version_32 := 16#c1f64448#;
   pragma Export (C, u00280, "system__tasking__entry_callsB");
   u00281 : constant Version_32 := 16#d453bba7#;
   pragma Export (C, u00281, "system__tasking__entry_callsS");
   u00282 : constant Version_32 := 16#4857f38e#;
   pragma Export (C, u00282, "system__tasking__rendezvousB");
   u00283 : constant Version_32 := 16#e26d829c#;
   pragma Export (C, u00283, "system__tasking__rendezvousS");

   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.latin_1%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.atomic_operations%s
   --  system.img_char%s
   --  system.img_char%b
   --  system.img_int%s
   --  system.img_lli%s
   --  system.io%s
   --  system.io%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.os_primitives%s
   --  system.os_primitives%b
   --  system.restrictions%s
   --  system.restrictions%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.stack_usage%s
   --  system.stack_usage%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%s
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  system.unsigned_types%s
   --  system.img_llu%s
   --  system.img_uns%s
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%s
   --  system.wch_cnv%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.concat_3%s
   --  system.concat_3%b
   --  system.traceback%s
   --  system.traceback%b
   --  ada.characters.handling%s
   --  system.atomic_operations.test_and_set%s
   --  system.case_util%s
   --  system.os_lib%s
   --  system.secondary_stack%s
   --  system.standard_library%s
   --  ada.exceptions%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.soft_links%s
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_llu%s
   --  system.val_lli%s
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  ada.exceptions.traceback%s
   --  ada.exceptions.traceback%b
   --  system.address_image%s
   --  system.address_image%b
   --  system.bit_ops%s
   --  system.bit_ops%b
   --  system.bounded_strings%s
   --  system.bounded_strings%b
   --  system.case_util%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.containers%s
   --  ada.io_exceptions%s
   --  ada.strings%s
   --  ada.strings.maps%s
   --  ada.strings.maps%b
   --  ada.strings.maps.constants%s
   --  interfaces.c%s
   --  interfaces.c%b
   --  system.atomic_primitives%s
   --  system.atomic_primitives%b
   --  system.exceptions%s
   --  system.exceptions.machine%s
   --  system.exceptions.machine%b
   --  ada.characters.handling%b
   --  system.atomic_operations.test_and_set%b
   --  system.exception_traces%s
   --  system.exception_traces%b
   --  system.memory%s
   --  system.memory%b
   --  system.mmap%s
   --  system.mmap.os_interface%s
   --  system.mmap%b
   --  system.mmap.unix%s
   --  system.mmap.os_interface%b
   --  system.object_reader%s
   --  system.object_reader%b
   --  system.dwarf_lines%s
   --  system.dwarf_lines%b
   --  system.os_lib%b
   --  system.secondary_stack%b
   --  system.soft_links.initialize%s
   --  system.soft_links.initialize%b
   --  system.soft_links%b
   --  system.standard_library%b
   --  system.traceback.symbolic%s
   --  system.traceback.symbolic%b
   --  ada.exceptions%b
   --  ada.command_line%s
   --  ada.command_line%b
   --  ada.containers.prime_numbers%s
   --  ada.containers.prime_numbers%b
   --  ada.containers.stable_sorting%s
   --  ada.containers.stable_sorting%b
   --  ada.exceptions.is_null_occurrence%s
   --  ada.exceptions.is_null_occurrence%b
   --  ada.numerics%s
   --  ada.numerics.big_numbers%s
   --  ada.strings.hash%s
   --  ada.strings.hash%b
   --  ada.strings.hash_case_insensitive%s
   --  ada.strings.hash_case_insensitive%b
   --  ada.strings.search%s
   --  ada.strings.search%b
   --  ada.strings.fixed%s
   --  ada.strings.fixed%b
   --  ada.strings.utf_encoding%s
   --  ada.strings.utf_encoding%b
   --  ada.strings.utf_encoding.wide_strings%s
   --  ada.strings.utf_encoding.wide_strings%b
   --  ada.strings.utf_encoding.wide_wide_strings%s
   --  ada.strings.utf_encoding.wide_wide_strings%b
   --  ada.tags%s
   --  ada.tags%b
   --  ada.strings.text_buffers%s
   --  ada.strings.text_buffers%b
   --  ada.strings.text_buffers.utils%s
   --  ada.strings.text_buffers.utils%b
   --  gnat%s
   --  gnat.case_util%s
   --  gnat.os_lib%s
   --  gnat.strings%s
   --  interfaces.c.extensions%s
   --  interfaces.c.strings%s
   --  interfaces.c.strings%b
   --  ada.environment_variables%s
   --  ada.environment_variables%b
   --  system.arith_64%s
   --  system.arith_64%b
   --  system.atomic_counters%s
   --  system.atomic_counters%b
   --  system.fat_flt%s
   --  system.fat_lflt%s
   --  system.fat_llf%s
   --  system.linux%s
   --  system.multiprocessors%s
   --  system.multiprocessors%b
   --  system.os_constants%s
   --  system.os_interface%s
   --  system.os_interface%b
   --  system.put_images%s
   --  system.put_images%b
   --  ada.streams%s
   --  ada.streams%b
   --  system.communication%s
   --  system.communication%b
   --  system.file_control_block%s
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  ada.finalization%s
   --  ada.containers.helpers%s
   --  ada.containers.helpers%b
   --  ada.containers.hash_tables%s
   --  ada.containers.red_black_trees%s
   --  system.file_io%s
   --  system.file_io%b
   --  ada.streams.stream_io%s
   --  ada.streams.stream_io%b
   --  system.storage_pools%s
   --  system.storage_pools%b
   --  system.finalization_masters%s
   --  system.finalization_masters%b
   --  system.storage_pools.subpools%s
   --  system.storage_pools.subpools.finalization%s
   --  system.storage_pools.subpools.finalization%b
   --  system.storage_pools.subpools%b
   --  system.stream_attributes%s
   --  system.stream_attributes.xdr%s
   --  system.stream_attributes.xdr%b
   --  system.stream_attributes%b
   --  ada.strings.unbounded%s
   --  ada.strings.unbounded%b
   --  system.task_info%s
   --  system.task_info%b
   --  system.task_primitives%s
   --  system.interrupt_management%s
   --  system.interrupt_management%b
   --  system.tasking%s
   --  system.task_primitives.operations%s
   --  system.tasking.debug%s
   --  system.tasking.debug%b
   --  system.task_primitives.operations%b
   --  system.tasking%b
   --  system.val_fixed_64%s
   --  system.val_uns%s
   --  system.val_int%s
   --  system.regpat%s
   --  system.regpat%b
   --  gnat.regpat%s
   --  ada.calendar%s
   --  ada.calendar%b
   --  ada.calendar.time_zones%s
   --  ada.calendar.time_zones%b
   --  ada.calendar.formatting%s
   --  ada.calendar.formatting%b
   --  ada.text_io%s
   --  ada.text_io%b
   --  gnat.calendar%s
   --  gnat.calendar%b
   --  gnat.calendar.time_io%s
   --  gnat.calendar.time_io%b
   --  gnat.directory_operations%s
   --  gnat.directory_operations%b
   --  system.file_attributes%s
   --  system.pool_global%s
   --  system.pool_global%b
   --  system.regexp%s
   --  system.regexp%b
   --  ada.directories%s
   --  ada.directories.hierarchical_file_names%s
   --  ada.directories.validity%s
   --  ada.directories.validity%b
   --  ada.directories%b
   --  ada.directories.hierarchical_file_names%b
   --  gnat.regexp%s
   --  gnat.command_line%s
   --  gnat.command_line%b
   --  system.soft_links.tasking%s
   --  system.soft_links.tasking%b
   --  system.strings.stream_ops%s
   --  system.strings.stream_ops%b
   --  system.tasking.initialization%s
   --  system.tasking.task_attributes%s
   --  system.tasking.task_attributes%b
   --  system.tasking.initialization%b
   --  system.tasking.protected_objects%s
   --  system.tasking.protected_objects%b
   --  system.tasking.protected_objects.entries%s
   --  system.tasking.protected_objects.entries%b
   --  system.tasking.queuing%s
   --  system.tasking.queuing%b
   --  system.tasking.utilities%s
   --  system.tasking.utilities%b
   --  ada.task_identification%s
   --  ada.task_identification%b
   --  system.tasking.entry_calls%s
   --  system.tasking.rendezvous%s
   --  system.tasking.protected_objects.operations%s
   --  system.tasking.protected_objects.operations%b
   --  system.tasking.entry_calls%b
   --  system.tasking.rendezvous%b
   --  templates_parser_tasking%s
   --  templates_parser_tasking%b
   --  templates_parser%s
   --  templates_parser.configuration%s
   --  templates_parser.input%s
   --  templates_parser.input%b
   --  templates_parser.utils%s
   --  templates_parser.utils%b
   --  templates_parser%b
   --  templates2ada%b
   --  END ELABORATION ORDER

end ada_main;
